For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference
    • Introduction
      • GETRetrieve Dispute
      • GETReceive Dispute
      • POSTRespond to Dispute
      • GETAccept Dispute
      • POSTUpload File
      • GETRetrieve file
LogoLogo
ReferenceDisputes

Upload File

POST
/v2/disputes/files
POST
/v2/disputes/files
$curl -X POST https://global-api-sandbox.afterpay.com/v2/disputes/files \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "file": {
> "key": "dispute_evidence_20240115.pdf"
> },
> "fileType": "dispute_evidence"
>}'
200Successful
1{
2 "id": "fi_7wvZBQqWzoPGLxvaMkpTjX",
3 "createdAt": "2024-01-15T09:30:00Z",
4 "expiresAt": "2024-02-14T09:30:00Z"
5}
Use this endpoint to upload files for disputes.
Was this page helpful?
Previous

Retrieve file

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

User-AgentstringOptional
AcceptstringOptional

application/json

Request

This endpoint expects an object.
fileanyRequired
fileTypestringRequired

The type of file. Only dispute_evidence is supported.

Response

Indicates a successful file upload.
idstring
The ID token of the file.
createdAtdatetime
The timestamp indicating when the file was uploaded.
expiresAtdatetime
The timestamp indicating when the uploaded file expires.